package cn.cecep.talroad.service.impl.effective;

import cn.cecep.talroad.domain.effective.ERmStationHour;
import cn.cecep.talroad.mapper.effective.ERmStationHourMapper;
import cn.cecep.talroad.service.effective.ERmStationHourService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ERmStationHourServiceImpl extends ServiceImpl<ERmStationHourMapper, ERmStationHour> implements ERmStationHourService{

    @Override
    public int updateBatch(List<ERmStationHour> list) {
        return baseMapper.updateBatch(list);
    }
    @Override
    public int updateBatchSelective(List<ERmStationHour> list) {
        return baseMapper.updateBatchSelective(list);
    }
    @Override
    public int batchInsert(List<ERmStationHour> list) {
        return baseMapper.batchInsert(list);
    }


}
